Domestic Rail Visibility
Get OpenTrack's industry-leading rail visibility on shipments moving on domestic rail waybills.
Domestic Rail Visibility is an add-on to OpenTrack. If you do not already have it enabled, please contact [email protected] to modify your subscription.
How It Works
Domestic Rail Visibility has simplified tracking requirements:
- You provide the equipment number only (container or railcar)
- OpenTrack automatically discovers the waybill number and railroad
- We fetch data directly from the relevant Class 1 railroad, or from traditional rail data aggregators for Class 2 and 3 carriers
No waybill or additional identifiers are required, just the equipment number.
Tracking via API
To track domestic rail equipment via API, use the /containers endpoint with only the equipment number.
POST https://api.opentrack.co/v1/containers/{containerId}Replace {containerId} with your equipment number, for example EMHU1234567.
Here's an example request in cURL (replace EMHU1234567 in the url with your equipment number):
curl --request POST \
--url https://api.opentrack.co/v1/containers/EMHU1234567 \
--header 'accept: application/json' \
--header 'content-type: application/json'The request body is optional, but you can add one if you want to include custom fields to be stored on the equipment level in OpenTrack for later use.
Here's an example request that includes custom fields (replace EMHU1234567 in the url with your equipment number):
curl --request POST \
--url https://api.opentrack.co/v1/containers/EMHU1234567 \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '
{
"customFields": {
"customer": "Your Value"
}
}
'Click here to access the full API Reference for the /containers endpoint and build your request interactively, in your programming language of choice.
The equipment number in the path accepts both intermodal containers and non-containerized railcar equipment numbers. OpenTrack will automatically identify the equipment type and discover the active waybill, then automatically retrieve its data from the rail line.
Unlike international intermodal tracking, you do not need to provide a waybill number, carrier SCAC, or booking reference. Equipment number is all that's required.
Data Included
| Field | Description |
|---|---|
railCarrier | Railroad transporting the equipment to final rail facility |
finalRailStation | Rail station at final destination (includes name, fsac, unlocode, firmsCode) |
lastFreeDayAtRailStation | Date by which equipment should be picked up to avoid demurrage fees |
detentionLastFreeDay | Date by which equipment should be returned to avoid detention per diem fees |
etaAtDestination | ETA to final rail facility |
demurrageOwedAtRailStation | Amount of demurrage currently owed at the final rail station |
demurrageIncurredAtRailStation | Total amount of demurrage incurred at the final rail station |
chassisNumber | Identifier of the chassis used to pull the container from the rail facility |
containerSize | Size of the equipment (TWENTY_FT, FORTY_FT, FORTY_FT_HC, FORTY_FIVE_FT_HC) |
containerType | Type of the equipment (DRY, FLAT_RACK, OPEN, REEFER, TANK, VENTILATED) |
grossWeight | Gross weight of the container in kilograms |
Milestones Included
Status Value | Description |
|---|---|
| Container ingated to departure ramp facility. |
| Equipment placed on rail car to destination |
| Equipment departed on rail to final destination |
| Equipment arrival at final rail facility |
| Equipment deramped from rail |
| Equipment was placed for release |
| Equipment is ready for pickup (non-containerized railcars only) |
| Equipment outgated from final rail facility |
| Equipment was returned empty to carrier |
Notes
- Full and empty voyages are both supported with the same milestone visibility. Contact support to enable empty voyage tracking.
- Long-term railcar tracking is available for shipper-owned or leased equipment. OpenTrack can automatically detect the end of each voyage and restart tracking on the new waybill. Contact support to enable this feature.
Updated 2 days ago
